Agendando tarefas a serem executadas regularmente

O Agendador de tarefas é uma ferramenta que permite agendar programas (como o Desfragmentador de disco) e outros utilitários a serem executados regularmente, quando for mais conveniente para você. O Agendador de tarefas é iniciado sempre que você inicia o Windows e é executado em segundo plano.

Você pode abrir o Agendador de tarefas clicando em Iniciar, apontando para Programas, Acessórios, Ferramentas de sistema e, em seguida, clicando em Tarefas agendadas.

Ao abrir o Agendador de tarefas, você poderá:

  • Agendar uma tarefa para que ela seja executada diária, semanal, mensalmente ou às vezes, quando o computador for iniciado ou estiver ocioso.
  • Alterar o agendamento de uma tarefa existente ou desativá-la.
  • Personalizar o modo como uma tarefa será executada em seu horário agendado.


Para agendar uma nova tarefa

  1. Clique em Iniciar, aponte para Programas, Acessórios, Ferramentas de sistema e, em seguida, clique em Tarefas agendadas.
  2. Clique duas vezes em Adicionar tarefa agendada.
  3. Siga as instruções no Assistente de tarefa agendada.

    4. Se você quiser especificar configurações avançadas para a tarefa (como definir a sua execução repetidas vezes sempre que ela for executada), marque a caixa de seleção Abrir as propriedades avançadas para esta tarefa ao clicar em 'Concluir' na tela final do assistente.

Observações

  • Se o programa de tarefas exigir parâmetros, marque a caixa de seleção Abrir as propriedades avançadas para esta tarefa ao clicar em 'Concluir' na tela final do assistente, clique em Concluir e, em seguida, clique na guia Tarefa e digite os parâmetros na caixa Executar, após o caminho da tarefa.
  • Uma tarefa agendada será executada se o seu computador estiver ligado, independentemente de alguém ter efetuado logon no Windows. Caso você não deseje que tarefas sejam executadas quando você não tiver efetuado logon, abra a pasta Tarefas agendadas antes de efetuar logoff, clique no menu Avançada e, em seguida, clique em Parar de usar o Agendador de tarefas. Para continuar usando o Agendador de tarefas depois de ter efetuado logon novamente, abra a pasta Tarefas agendadas, clique no menu Avançada e, em seguida, clique em Iniciar o uso do Agendador de tarefas.
  • Certifique-se de que a data e a hora do sistema do seu computador estejam corretas. O Agendador de tarefas necessita dessas informações para saber quando executar as tarefas agendadas. Para alterar a data e hora, clique duas vezes na hora na barra de tarefas.

Tópicos relacionados


Para modificar uma tarefa agendada

  1. Clique em Iniciar, aponte para Programas, Acessórios, Ferramentas de sistema e, em seguida, clique em Tarefas agendadas.
  2. Clique com o botão direito do mouse na tarefa que você deseja modificar e, em seguida, clique em Propriedades.
  3. Siga um ou mais destes procedimentos:
    • Para alterar o programa que você deseja executar, na caixa Executar, digite o caminho para a tarefa ou clique em Procurar.
    • Para alterar o agendamento da tarefa, clique na guia Agendamento.
    • Para personalizar as configurações da tarefa, clique na guia Configurações.

Observações

  • Se o programa da tarefa requerer parâmetros, digite-os na caixa Executar, após o caminho da tarefa.
  • Se o caminho para o programa da tarefa inclui espaços, coloque aspas duplas (") ao redor de todo o caminho da tarefa.


Para remover uma tarefa agendada

  1. Clique em Iniciar, aponte para Programas, Acessórios, Ferramentas de sistema e, em seguida, clique em Tarefas agendadas.
  2. Clique com o botão direito do mouse na tarefa que você deseja remover e, em seguida, clique em Excluir.

Observação

  • Remover uma tarefa agendada apenas exclui a tarefa da pasta Tarefas agendadas. O programa associado com a tarefa não é removido do seu computador.


Para interromper uma tarefa agendada em execução no momento

  1. Clique em Iniciar, aponte para Programas, Acessórios, Ferramentas de sistema e, em seguida, clique em Tarefas agendadas.
  2. Clique com o botão direito do mouse na tarefa que você deseja interromper e, em seguida, clique em Finalizar tarefa.

Observações

  • Se uma tarefa agendada iniciar outro programa, esse comando interromperá somente a tarefa agendada original, não a segunda tarefa.
  • Para reiniciar uma tarefa, clique com o botão direito do mouse na tarefa e, em seguida, clique em Executar.
  • Uma tarefa agendada será executada se o seu computador estiver ligado, independentemente de alguém ter efetuado logon no Windows. Caso você não deseje que tarefas sejam executadas quando você não tiver efetuado logon, abra a pasta Tarefas agendadas antes de efetuar logoff, clique no menu Avançada e, em seguida, clique em Parar de usar o Agendador de tarefas. Para continuar usando o Agendador de tarefas depois de ter efetuado logon novamente, abra a pasta Tarefas agendadas, clique no menu Avançada e, em seguida, clique em Iniciar o uso do Agendador de tarefas.


Para executar uma tarefa imediatamente

  1. Clique em Iniciar, aponte para Programas, Acessórios, Ferramentas de sistema e, em seguida, clique em Tarefas agendadas.
  2. Clique com o botão direito do mouse na tarefa que você deseja iniciar e, em seguida, clique em Executar.

Observações

  • Você pode finalizar a tarefa clicando no menu Arquivo e, em seguida, clicando em Finalizar tarefa agendada.
  • Se uma tarefa tinha que ser executada e não foi, verifique o log para saber o motivo. No menu Avançada, clique em Exibir log.


Para exibir um log das tarefas agendadas anteriormente

  1. Clique em Iniciar, aponte para Programas, Acessórios, Ferramentas de sistema e, em seguida, clique em Tarefas agendadas.
  2. No menu Avançada, clique em Exibir log.


Para exibir tarefas agendadas em um computador remoto

  1. Clique duas vezes no ícone Meus locais de rede.
  2. Clique duas vezes no computador em que deseja visualizar as tarefas agendadas.
  3. Clique duas vezes na pasta Tarefas agendadas.

Observação

  • Você poderá editar tarefas em um computador remoto somente se esse computador tiver um software de Registro remoto instalado e utilizar o compartilhamento x$, onde x é a unidade de disco rígido na qual a pasta Tarefas agendadas reside. O computador deve também listar especificamente sua conta de usuário como tendo acesso de Registro remoto. Você pode especificar os usuários que possuem acesso de Registro remoto a um computador, clicando duas vezes no ícone Senhas no Painel de controle.


Para desativar temporariamente todas as tarefas agendadas

  1. Clique em Iniciar, aponte para Programas, Acessórios, Ferramentas de sistema e, em seguida, clique em Tarefas agendadas.
  2. No menu Avançada, clique em Pausar o Agendador de tarefas.

    Isso será útil se você estiver executando outro programa (como um jogo) ou instalando um software e não desejar que as tarefas sejam executadas simultaneamente.

Observações

  • As tarefas que você teria executado enquanto o Agendador de tarefas estava pausado não serão executadas até a próxima hora agendada.
  • Para retomar as agendas de todas as tarefas, no menu Avançada, clique em Continuar o Agendador de tarefas.


Para desativar o Agendador de tarefas

  1. Clique em Iniciar, aponte para Programas, Acessórios, Ferramentas de sistema e, em seguida, clique em Tarefas agendadas.
  2. No menu Avançada, clique em Parar de usar o Agendador de tarefas.

Observação

  • Ao desativar o Agendador de tarefas, as tarefas agendadas não serão executadas e o Agendador de tarefas não iniciará automaticamente na próxima vez em que o Windows for iniciado.


Solucionando problemas do Agendador de tarefas

Se a tarefa agendada não for executada na hora esperada, clique com o botão direito do mouse na lista de tarefas e, em seguida, clique em Propriedades. Na guia Tarefa, certifique-se de que a caixa de seleção Ativada esteja marcada. Na guia Agendamento, certifique-se de que o agendamento esteja configurado corretamente.

Se um programa de tarefas não for executado corretamente, é possível que você precise fornecer argumentos de comando para ele. Para obter mais informações sobre um programa e seus argumentos, tente uma destas opções:

  • Se o programa tiver Ajuda on-line, consulte essa ajuda.
  • Experimente digitar o que está a seguir no prompt de comando, onde programa é o nome do programa.
    programa /?


Para abrir a pasta Tarefas agendadas

  • Clique em Iniciar, aponte para Programas, Acessórios, Ferramentas de sistema e, em seguida, clique em Tarefas agendadas.